Name: pam-config
Version: 1.2.1
Release: alt1

Summary: Systemwide PAM config files
License: GPL
Group: System/Base

Source0: system-auth
Source1: system-auth-use_first_pass
Source2: other

%define _pamdir %_sysconfdir/pam.d

# All pam dependencies now provided/required by subpackages.
AutoReqProv: no

Provides: %_pamdir, /etc/security, /%_lib/security
Provides: pam-common = %version-%release
Obsoletes: pam-common

# due to %_pamdir/other
Conflicts: pam < 0:0.75-alt21

BuildPreReq: rpm-build >= 4.0.4-alt42

%package -n pam0-config
Summary: Systemwide PAM config files for Linux-PAM
License: GPL
Group: System/Base
PreReq: %name = %version-%release
# This is quite low-level code; synced with rpm-build-4.0.4-alt42.
Requires: %(for f in %SOURCE0 %SOURCE1 %SOURCE2; do RPM_LIB=%_lib RPM_LIBDIR=%_libdir PAM_SO_SUFFIX= PAM_NAME_SUFFIX=0 RPM_BUILD_ROOT=%buildroot /usr/lib/rpm/pam.req $f; done |sort -u |xargs echo)
Provides: %(for f in %SOURCE0 %SOURCE1 %SOURCE2; do PAM_SO_SUFFIX= PAM_NAME_SUFFIX=0 RPM_BUILD_ROOT=%buildroot /usr/lib/rpm/pam.prov $f; done |sort -u |xargs echo)
# Compatibility.
Provides: pam(system-auth), pam(system-auth-use_first_pass), pam(other)

%package -n pam2-config
Summary: Systemwide PAM config files for OpenPAM
License: GPL
Group: System/Base
PreReq: %name = %version-%release
# This is quite low-level code; synced with rpm-build-4.0.4-alt42.
Requires: %(for f in %SOURCE0 %SOURCE1 %SOURCE2; do RPM_LIB=%_lib RPM_LIBDIR=%_libdir PAM_SO_SUFFIX=.2 PAM_NAME_SUFFIX=2 RPM_BUILD_ROOT=%buildroot /usr/lib/rpm/pam.req $f; done |sort -u |xargs echo)
Provides: %(for f in %SOURCE0 %SOURCE1 %SOURCE2; do PAM_SO_SUFFIX=.2 PAM_NAME_SUFFIX=2 RPM_BUILD_ROOT=%buildroot /usr/lib/rpm/pam.prov $f; done |sort -u |xargs echo)

%description
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

This package contains systemwide PAM config files.
This package also contains common files and directories
shared by various PAM implementations.

%description -n pam0-config
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

This package contains systemwide config files for Linux-PAM.

%description -n pam2-config
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

This package contains systemwide config files for OpenPAM.

%install
%__mkdir_p $RPM_BUILD_ROOT{%_pamdir,/etc/security,/%_lib/security}
%__install -pm644 %SOURCE0 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT%_pamdir/

%post
cd %_pamdir
if [ ! -f system-auth ]; then
	if [ -f system-auth.rpmsave ]; then
		%__cp -pf system-auth.rpmsave system-auth
	elif [ -f system-auth.rpmnew ]; then
		%__cp -pf system-auth.rpmnew system-auth
	fi
fi

%triggerpostun -- pam <= 0.75-alt8
[ $2 -gt 0 ] || exit 0
cd %_pamdir
if [ ! -f system-auth ]; then
	if [ -f system-auth.rpmsave ]; then
		%__cp -pf system-auth.rpmsave system-auth
	elif [ -f system-auth.rpmnew ]; then
		%__cp -pf system-auth.rpmnew system-auth
	fi
fi

%files
%dir %_pamdir
%config %_pamdir/other
%config(noreplace) %_pamdir/system-auth*
/etc/security
/%_lib/security

%files -n pam0-config
#%files -n pam2-config

%changelog
* Fri Aug 26 2005 Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt1
- Added "nullok" option to password management entry (#7606).

* Thu May 26 2005 Dmitry V. Levin <ldv@altlinux.org> 1.2.0-alt1
- system-auth: Added "account required pam_mktemp.so" (#6814).
- Added multilib support (mouse, closes #6098).

* Sat Oct 04 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.7-alt1
- pam-config: merged pam-common into this package.

* Wed Jul 09 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.6-alt1
- Keep all configuration files in the main package, pam-config.
- Kepp all pam dependencies in pam-specific subpackages.

* Wed Jul 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.5-alt1
- Added -flavour subpackage and moved dependencies there.

* Fri May 23 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.4-alt1
- PAM configuration policy enforcement.

* Thu Apr 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.3-alt1
- Added prefix= and count= parameters for auth tcb methods.
  This is required to activate timing attack protection
  implemented in pam_tcb-0.9.8.4-alt1.

* Tue Jan 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.2-alt1
- Added password entry for system-auth-use_first_pass.

* Thu Dec 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.1.1-alt1
- Changed password quality enforcement policy:
  enforce=everyone --> enforce=users.

* Mon Dec 17 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.1-alt1
- Switched to tcb.

* Mon Dec 17 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.1-alt1
- Added new config for userpass support: system-auth-use_first_pass.

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0-alt1
- Initial revision.
- Updated system-auth from pam package now lives here.
